import axios from "axios";
import { PROXY_SECRET } from "../secrets";

type NodeOptions = {
  /**
   * The URL to node
   */
  url: string;
};

export default class Node {
  /**
   * The URL to node
   */
  private url: string;

  constructor({ url }: NodeOptions) {
    this.url = url;

    // todo: ping node and check status
  }

  /**
   * Get the URL to node
   *
   * @returns the URL
   */
  getUrl() {
    return this.url;
  }

  /**
   * Fetch a URL from the node.
   * The node will fetch the URL and return the response.
   *
   * @param url the URL to fetch
   */
  async fetch(url: string) {
    const response = await axios.get(this.getUrl() + "/proxy", {
      data: {
        url: url,
        secret: PROXY_SECRET,
      },
    });

    return response;
  }
}
